function doActionActivityChannel(pIndex) {
  loadPage('&page=channels&action=activity&index=' + pIndex);
}

function doActionStoreNewsItem(pChannel, pIndex) {
  loadPage('&action=store&channel=' + pChannel + '&index=' + pIndex);
}

function doConfirmActionDeleteNewsItem(pMsg, pIndex) {
  loadPageConfirm(pMsg, '&action=delete&index=' + pIndex);
}

function doConfirmActionRemoveChannel(pMsg, pIndex) {
  loadPageConfirm(pMsg, '&page=channels&action=remove&index=' + pIndex);
}

function retSyncChannel(pValue, pChannel) {
  setHTML(pValue, 'sync_title');
  _SyncChannelCount--;
  if (_SyncChannelCount == 0) {
    window.setTimeout("displayElemById('sync', 'none');", 1000);
    if (pChannel != -1)
      loadPage('&channel=' + pChannel);
  }
}

function selSort(pObj) {
  if (getSelectSelValue(pObj) == '')
    pObj.selectedIndex = 0;
  else
    submitFormIndicator('view');
}

function syncChannel(pIndex, pChannel) {
  doHttpRequest('plain.php?umi=col_news&page=sync.dyn&index=' + pIndex, 'retSyncChannel', pChannel, '');
}